Submitted By: Andrew Benton <andy@benton.eu.com>
Date: 2012-06-09
Initial Package Version: 2.10
Upstream Status: Submitted https://bugzilla.mozilla.org/show_bug.cgi?id=763181
Origin: Me
Description: Fixes the Seamonkey installer for the situation when Seamonkey was
configured with --disable-installer --with-system-nspr --with-system-nss
and --enable-system-sqlite. The installer's package manifest is hardcoded to
include libnspr4.so, libmozsqlite3.so, etc, which may not have been compiled.

--- comm-release/suite/installer/package-manifest.in-orig	2012-06-05 06:50:04.000000000 +0100
+++ comm-release/suite/installer/package-manifest.in	2012-06-09 00:42:06.632051944 +0100
@@ -61,9 +61,11 @@
 #ifndef MOZ_STATIC_JS
 @BINPATH@/@DLL_PREFIX@mozjs@DLL_SUFFIX@
 #endif
+#ifndef MOZ_NATIVE_NSPR
 @BINPATH@/@DLL_PREFIX@nspr4@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@plc4@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@plds4@DLL_SUFFIX@
+#endif
 @BINPATH@/@DLL_PREFIX@xpcom@DLL_SUFFIX@
 #ifdef XP_MACOSX
 @BINPATH@/XUL
@@ -118,8 +120,10 @@
 #ifdef XP_OS2
 @BINPATH@/@DLL_PREFIX@mozsqlt3@DLL_SUFFIX@
 #else
+#ifndef MOZ_NATIVE_SQLITE
 @BINPATH@/@DLL_PREFIX@mozsqlite3@DLL_SUFFIX@
 #endif
+#endif
 @BINPATH@/license.txt
 @BINPATH@/blocklist.xml
 #ifdef UNIX_BUT_NOT_MAC
@@ -481,7 +485,9 @@
 @BINPATH@/chrome/icons/default/main-window16.png
 @BINPATH@/chrome/icons/default/main-window48.png
 @BINPATH@/chrome/icons/default/seamonkey.png
+#ifdef MOZ_UPDATER
 @BINPATH@/icons/updater.png
+#endif
 #elifdef WIN_OR_OS2
 @BINPATH@/chrome/icons/default/bmPropsWindow.ico
 @BINPATH@/chrome/icons/default/bookmark-window.ico
@@ -575,6 +581,7 @@
 ; NSS libraries are signed in the staging directory,
 ; meaning their .chk files are created there directly.
 ;
+#ifndef MOZ_NATIVE_NSS
 @BINPATH@/@DLL_PREFIX@freebl3@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@nss3@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@nssckbi@DLL_SUFFIX@
@@ -585,6 +592,7 @@
 @BINPATH@/@DLL_PREFIX@smime3@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@softokn3@DLL_SUFFIX@
 @BINPATH@/@DLL_PREFIX@ssl3@DLL_SUFFIX@
+#endif
 @BINPATH@/chrome/pippki@JAREXT@
 @BINPATH@/chrome/pippki.manifest
 @BINPATH@/components/pipboot.xpt
--- comm-release/suite/installer/Makefile.in-orig	2012-06-05 06:50:04.000000000 +0100
+++ comm-release/suite/installer/Makefile.in	2012-06-09 01:34:16.257725054 +0100
@@ -115,6 +115,14 @@
 DEFINES += -DMOZ_UPDATER=1
 endif
 
+ifdef MOZ_NATIVE_NSPR
+DEFINES += -DMOZ_NATIVE_NSPR=1
+endif
+
+ifdef MOZ_NATIVE_NSS
+DEFINES += -DMOZ_NATIVE_NSS=1
+endif
+
 ifdef MOZ_MOVEMAIL
 DEFINES += -DMOZ_MOVEMAIL=1
 endif
